# std::_Bit_iterator_base Struct Reference

Inheritance diagram for std::_Bit_iterator_base:

List of all members.

## Detailed Description

Definition at line 110 of file stl_bvector.h.

## Public Types

- typedef ptrdiff_t difference_type
- typedef std::random_access_iterator_tag iterator_category
- typedef bool * pointer
- typedef bool & reference
- typedef bool value_type

## Public Member Functions

- _Bit_iterator_base (_Bit_type *__x, unsigned int __y)
- void _M_bump_down ()
- void _M_bump_up ()
- void _M_incr (ptrdiff_t __i)
- bool operator!= (const _Bit_iterator_base &__i) const
- bool operator< (const _Bit_iterator_base &__i) const
- bool operator<= (const _Bit_iterator_base &__i) const
- bool operator== (const _Bit_iterator_base &__i) const
- bool operator> (const _Bit_iterator_base &__i) const
- bool operator>= (const _Bit_iterator_base &__i) const

## Public Attributes

- unsigned int _M_offset
- _Bit_type * _M_p

## Member Typedef Documentation

typedef ptrdiff_t std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::difference_type`[inherited]`

Distance between iterators is represented as this type.

Definition at line 113 of file stl_iterator_base_types.h.

typedef std::random_access_iterator_tag std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::iterator_category`[inherited]`

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

typedef bool * std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::pointer`[inherited]`

This type represents a pointer-to-value_type.

Reimplemented in std::_Bit_iterator, and std::_Bit_const_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

typedef bool & std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::reference`[inherited]`

This type represents a reference-to-value_type.

Reimplemented in std::_Bit_iterator, and std::_Bit_const_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

typedef bool std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::value_type`[inherited]`

The type "pointed to" by the iterator.

Definition at line 111 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_bvector.h